### Hierarchy

- OutgoingMessage
  - ServerResponse

### Implements

- WritableStream

## Index

### Constructors

- constructor

### Properties

- chunkedEncoding
- connection
- finished
- headersSent
- sendDate
- shouldKeepAlive
- statusCode
- statusMessage
- upgrading
- useChunkedEncodingByDefault
- writable
- writableHighWaterMark
- writableLength
- defaultMaxListeners

### Methods

- _destroy
- _final
- _write
- _writev
- addListener
- addTrailers
- assignSocket
- cork
- destroy
- detachSocket
- emit
- end
- eventNames
- flushHeaders
- getHeader
- getHeaderNames
- getHeaders
- getMaxListeners
- hasHeader
- listenerCount
- listeners
- off
- on
- once
- pipe
- prependListener
- prependOnceListener
- rawListeners
- removeAllListeners
- removeHeader
- removeListener
- setDefaultEncoding
- setHeader
- setMaxListeners
- setTimeout
- uncork
- write
- writeContinue
- writeHead
- listenerCount

## Constructors

### constructor

- new ServerResponse(req: IncomingMessage): ServerResponse

- Overrides OutgoingMessage.constructor

  - Defined in node_modules/@types/node/http.d.ts:147

  #### Parameters

  - ##### req: IncomingMessage

  #### Returns ServerResponse

## Properties

### chunkedEncoding

chunkedEncoding: boolean

Inherited from OutgoingMessage.chunkedEncoding

- Defined in node_modules/@types/node/http.d.ts:123

### connection

connection: Socket

Inherited from OutgoingMessage.connection

- Defined in node_modules/@types/node/http.d.ts:129

### finished

finished: boolean

Inherited from OutgoingMessage.finished

- Defined in node_modules/@types/node/http.d.ts:127

### headersSent

headersSent: boolean

Inherited from OutgoingMessage.headersSent

- Defined in node_modules/@types/node/http.d.ts:128

### sendDate

sendDate: boolean

Inherited from OutgoingMessage.sendDate

- Defined in node_modules/@types/node/http.d.ts:126

### shouldKeepAlive

shouldKeepAlive: boolean

Inherited from OutgoingMessage.shouldKeepAlive

- Defined in node_modules/@types/node/http.d.ts:124

### statusCode

statusCode: number

- Defined in node_modules/@types/node/http.d.ts:146

### statusMessage

statusMessage: string

- Defined in node_modules/@types/node/http.d.ts:147

### upgrading

upgrading: boolean

Inherited from OutgoingMessage.upgrading

- Defined in node_modules/@types/node/http.d.ts:122

### useChunkedEncodingByDefault

useChunkedEncodingByDefault: boolean

Inherited from OutgoingMessage.useChunkedEncodingByDefault

- Defined in node_modules/@types/node/http.d.ts:125

### writable

writable: boolean

Implementation of WritableStream.writable

Inherited from Writable.writable

- Defined in node_modules/@types/node/stream.d.ts:109

### writableHighWaterMark

writableHighWaterMark: number

Inherited from Writable.writableHighWaterMark

- Defined in node_modules/@types/node/stream.d.ts:110

### writableLength

writableLength: number

Inherited from Writable.writableLength

- Defined in node_modules/@types/node/stream.d.ts:111

### Static defaultMaxListeners

defaultMaxListeners: number

Inherited from EventEmitter.defaultMaxListeners

- Defined in node_modules/@types/node/events.d.ts:8

## Methods

### _destroy

- _destroy(error: Error | null, callback: function): void

- Inherited from Writable._destroy

  - Defined in node_modules/@types/node/stream.d.ts:115

  #### Parameters

  - ##### error: Error | null

  - ##### callback: function

    - - (error?: Error | null): void

      - #### Parameters

        - ##### Optional error: Error | null

        #### Returns void

### _final

- _final(callback: function): void

- Inherited from Writable._final

  - Defined in node_modules/@types/node/stream.d.ts:116

  #### Parameters

  - ##### callback: function

    - - (error?: Error | null): void

      - #### Parameters

        - ##### Optional error: Error | null

        #### Returns void

### _write

- _write(chunk: any, encoding: string, callback: function): void

- Inherited from Writable._write

  - Defined in node_modules/@types/node/stream.d.ts:113

  #### Parameters

  - ##### chunk: any

  - ##### encoding: string

  - ##### callback: function

    - - (error?: Error | null): void

      - #### Parameters

        - ##### Optional error: Error | null

        #### Returns void

### Optional _writev

- _writev(chunks: Array<object>, callback: function): void

- Inherited from Writable._writev

  - Defined in node_modules/@types/node/stream.d.ts:114

  #### Parameters

  - ##### chunks: Array<object>

  - ##### callback: function

    - - (error?: Error | null): void

      - #### Parameters

        - ##### Optional error: Error | null

        #### Returns void

### addListener

- addListener(event: "close", listener: function): this
- addListener(event: "drain", listener: function): this
- addListener(event: "error", listener: function): this
- addListener(event: "finish", listener: function): this
- addListener(event: "pipe", listener: function): this
- addListener(event: "unpipe", listener: function): this
- addListener(event: string | symbol, listener: function): this

- Inherited from Writable.addListener

  Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/stream.d.ts:137

  Event emitter The defined events on documents including:

  1. close
  2. drain
  3. error
  4. finish
  5. pipe
  6. unpipe

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.addListener

  Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/stream.d.ts:138

  #### Parameters

  - ##### event: "drain"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.addListener

  Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/stream.d.ts:139

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from Writable.addListener

  Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/stream.d.ts:140

  #### Parameters

  - ##### event: "finish"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.addListener

  Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/stream.d.ts:141

  #### Parameters

  - ##### event: "pipe"

  - ##### listener: function

    - - (src: Readable): void

      - #### Parameters

        - ##### src: Readable

        #### Returns void

  #### Returns this

- Inherited from Writable.addListener

  Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/stream.d.ts:142

  #### Parameters

  - ##### event: "unpipe"

  - ##### listener: function

    - - (src: Readable): void

      - #### Parameters

        - ##### src: Readable

        #### Returns void

  #### Returns this

- Inherited from Writable.addListener

  Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/stream.d.ts:143

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### addTrailers

- addTrailers(headers: OutgoingHttpHeaders | Array<[string, string]>): void

- Inherited from OutgoingMessage.addTrailers

  - Defined in node_modules/@types/node/http.d.ts:140

  #### Parameters

  - ##### headers: OutgoingHttpHeaders | Array<[string, string]>

  #### Returns void

### assignSocket

- assignSocket(socket: Socket): void

- - Defined in node_modules/@types/node/http.d.ts:151

  #### Parameters

  - ##### socket: Socket

  #### Returns void

### cork

- cork(): void

- Inherited from Writable.cork

  - Defined in node_modules/@types/node/stream.d.ts:123

  #### Returns void

### destroy

- destroy(error?: Error): void

- Inherited from Writable.destroy

  - Defined in node_modules/@types/node/stream.d.ts:125

  #### Parameters

  - ##### Optional error: Error

  #### Returns void

### detachSocket

- detachSocket(socket: Socket): void

- - Defined in node_modules/@types/node/http.d.ts:152

  #### Parameters

  - ##### socket: Socket

  #### Returns void

### emit

- emit(event: "close"): boolean
- emit(event: "drain"): boolean
- emit(event: "error", err: Error): boolean
- emit(event: "finish"): boolean
- emit(event: "pipe", src: Readable): boolean
- emit(event: "unpipe", src: Readable): boolean
- emit(event: string | symbol, ...args: any[]): boolean

- Inherited from Writable.emit

  Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/stream.d.ts:145

  #### Parameters

  - ##### event: "close"

  #### Returns boolean

- Inherited from Writable.emit

  Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/stream.d.ts:146

  #### Parameters

  - ##### event: "drain"

  #### Returns boolean

- Inherited from Writable.emit

  Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/stream.d.ts:147

  #### Parameters

  - ##### event: "error"

  - ##### err: Error

  #### Returns boolean

- Inherited from Writable.emit

  Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/stream.d.ts:148

  #### Parameters

  - ##### event: "finish"

  #### Returns boolean

- Inherited from Writable.emit

  Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/stream.d.ts:149

  #### Parameters

  - ##### event: "pipe"

  - ##### src: Readable

  #### Returns boolean

- Inherited from Writable.emit

  Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/stream.d.ts:150

  #### Parameters

  - ##### event: "unpipe"

  - ##### src: Readable

  #### Returns boolean

- Implementation of WritableStream.emit

  Inherited from Writable.emit

  Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/stream.d.ts:151

  #### Parameters

  - ##### event: string | symbol

  - ##### Rest ...args: any[]

  #### Returns boolean

### end

- end(cb?: undefined | function): void
- end(chunk: any, cb?: undefined | function): void
- end(chunk: any, encoding?: undefined | string, cb?: undefined | function): void

- Inherited from Writable.end

  - Defined in node_modules/@types/node/stream.d.ts:120

  #### Parameters

  - ##### Optional cb: undefined | function

  #### Returns void

- Inherited from Writable.end

  - Defined in node_modules/@types/node/stream.d.ts:121

  #### Parameters

  - ##### chunk: any

  - ##### Optional cb: undefined | function

  #### Returns void

- Inherited from Writable.end

  - Defined in node_modules/@types/node/stream.d.ts:122

  #### Parameters

  - ##### chunk: any

  - ##### Optional encoding: undefined | string

  - ##### Optional cb: undefined | function

  #### Returns void

### eventNames

- eventNames(): Array<string | symbol>

- Implementation of WritableStream.eventNames

  Inherited from EventEmitter.eventNames

  Overrides EventEmitter.eventNames

  - Defined in node_modules/@types/node/events.d.ts:23

  #### Returns Array<string | symbol>

### flushHeaders

- flushHeaders(): void

- Inherited from OutgoingMessage.flushHeaders

  - Defined in node_modules/@types/node/http.d.ts:141

  #### Returns void

### getHeader

- getHeader(name: string): number | string | string[] | undefined

- Inherited from OutgoingMessage.getHeader

  - Defined in node_modules/@types/node/http.d.ts:135

  #### Parameters

  - ##### name: string

  #### Returns number | string | string[] | undefined

### getHeaderNames

- getHeaderNames(): string[]

- Inherited from OutgoingMessage.getHeaderNames

  - Defined in node_modules/@types/node/http.d.ts:137

  #### Returns string[]

### getHeaders

- getHeaders(): OutgoingHttpHeaders

- Inherited from OutgoingMessage.getHeaders

  - Defined in node_modules/@types/node/http.d.ts:136

  #### Returns OutgoingHttpHeaders

### getMaxListeners

- getMaxListeners(): number

- Implementation of WritableStream.getMaxListeners

  Inherited from EventEmitter.getMaxListeners

  Overrides EventEmitter.getMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:19

  #### Returns number

### hasHeader

- hasHeader(name: string): boolean

- Inherited from OutgoingMessage.hasHeader

  - Defined in node_modules/@types/node/http.d.ts:138

  #### Parameters

  - ##### name: string

  #### Returns boolean

### listenerCount

- listenerCount(type: string | symbol): number

- Implementation of WritableStream.listenerCount

  Inherited from EventEmitter.listenerCount

  Overrides EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:24

  #### Parameters

  - ##### type: string | symbol

  #### Returns number

### listeners

- listeners(event: string | symbol): Function[]

- Implementation of WritableStream.listeners

  Inherited from EventEmitter.listeners

  Overrides EventEmitter.listeners

  - Defined in node_modules/@types/node/events.d.ts:20

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### off

- off(event: string | symbol, listener: function): this

- Inherited from EventEmitter.off

  Overrides EventEmitter.off

  - Defined in node_modules/@types/node/events.d.ts:16

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### on

- on(event: "close", listener: function): this
- on(event: "drain", listener: function): this
- on(event: "error", listener: function): this
- on(event: "finish", listener: function): this
- on(event: "pipe", listener: function): this
- on(event: "unpipe", listener: function): this
- on(event: string | symbol, listener: function): this

- Inherited from Writable.on

  Overrides EventEmitter.on

  - Defined in node_modules/@types/node/stream.d.ts:153

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.on

  Overrides EventEmitter.on

  - Defined in node_modules/@types/node/stream.d.ts:154

  #### Parameters

  - ##### event: "drain"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.on

  Overrides EventEmitter.on

  - Defined in node_modules/@types/node/stream.d.ts:155

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from Writable.on

  Overrides EventEmitter.on

  - Defined in node_modules/@types/node/stream.d.ts:156

  #### Parameters

  - ##### event: "finish"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.on

  Overrides EventEmitter.on

  - Defined in node_modules/@types/node/stream.d.ts:157

  #### Parameters

  - ##### event: "pipe"

  - ##### listener: function

    - - (src: Readable): void

      - #### Parameters

        - ##### src: Readable

        #### Returns void

  #### Returns this

- Inherited from Writable.on

  Overrides EventEmitter.on

  - Defined in node_modules/@types/node/stream.d.ts:158

  #### Parameters

  - ##### event: "unpipe"

  - ##### listener: function

    - - (src: Readable): void

      - #### Parameters

        - ##### src: Readable

        #### Returns void

  #### Returns this

- Inherited from Writable.on

  Overrides EventEmitter.on

  - Defined in node_modules/@types/node/stream.d.ts:159

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### once

- once(event: "close", listener: function): this
- once(event: "drain", listener: function): this
- once(event: "error", listener: function): this
- once(event: "finish", listener: function): this
- once(event: "pipe", listener: function): this
- once(event: "unpipe", listener: function): this
- once(event: string | symbol, listener: function): this

- Inherited from Writable.once

  Overrides EventEmitter.once

  - Defined in node_modules/@types/node/stream.d.ts:161

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.once

  Overrides EventEmitter.once

  - Defined in node_modules/@types/node/stream.d.ts:162

  #### Parameters

  - ##### event: "drain"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.once

  Overrides EventEmitter.once

  - Defined in node_modules/@types/node/stream.d.ts:163

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from Writable.once

  Overrides EventEmitter.once

  - Defined in node_modules/@types/node/stream.d.ts:164

  #### Parameters

  - ##### event: "finish"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.once

  Overrides EventEmitter.once

  - Defined in node_modules/@types/node/stream.d.ts:165

  #### Parameters

  - ##### event: "pipe"

  - ##### listener: function

    - - (src: Readable): void

      - #### Parameters

        - ##### src: Readable

        #### Returns void

  #### Returns this

- Inherited from Writable.once

  Overrides EventEmitter.once

  - Defined in node_modules/@types/node/stream.d.ts:166

  #### Parameters

  - ##### event: "unpipe"

  - ##### listener: function

    - - (src: Readable): void

      - #### Parameters

        - ##### src: Readable

        #### Returns void

  #### Returns this

- Inherited from Writable.once

  Overrides EventEmitter.once

  - Defined in node_modules/@types/node/stream.d.ts:167

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### pipe

- pipe<T>(destination: T, options?: undefined | object): T

- Inherited from internal.pipe

  - Defined in node_modules/@types/node/stream.d.ts:5

  #### Type parameters

  - #### T: WritableStream

  #### Parameters

  - ##### destination: T

  - ##### Optional options: undefined | object

  #### Returns T

### prependListener

- prependListener(event: "close", listener: function): this
- prependListener(event: "drain", listener: function): this
- prependListener(event: "error", listener: function): this
- prependListener(event: "finish", listener: function): this
- prependListener(event: "pipe", listener: function): this
- prependListener(event: "unpipe", listener: function): this
- prependListener(event: string | symbol, listener: function): this

- Inherited from Writable.prependListener

  Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/stream.d.ts:169

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.prependListener

  Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/stream.d.ts:170

  #### Parameters

  - ##### event: "drain"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.prependListener

  Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/stream.d.ts:171

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from Writable.prependListener

  Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/stream.d.ts:172

  #### Parameters

  - ##### event: "finish"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.prependListener

  Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/stream.d.ts:173

  #### Parameters

  - ##### event: "pipe"

  - ##### listener: function

    - - (src: Readable): void

      - #### Parameters

        - ##### src: Readable

        #### Returns void

  #### Returns this

- Inherited from Writable.prependListener

  Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/stream.d.ts:174

  #### Parameters

  - ##### event: "unpipe"

  - ##### listener: function

    - - (src: Readable): void

      - #### Parameters

        - ##### src: Readable

        #### Returns void

  #### Returns this

- Inherited from Writable.prependListener

  Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/stream.d.ts:175

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### prependOnceListener

- prependOnceListener(event: "close", listener: function): this
- prependOnceListener(event: "drain", listener: function): this
- prependOnceListener(event: "error", listener: function): this
- prependOnceListener(event: "finish", listener: function): this
- prependOnceListener(event: "pipe", listener: function): this
- prependOnceListener(event: "unpipe", listener: function): this
- prependOnceListener(event: string | symbol, listener: function): this

- Inherited from Writable.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/stream.d.ts:177

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/stream.d.ts:178

  #### Parameters

  - ##### event: "drain"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/stream.d.ts:179

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from Writable.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/stream.d.ts:180

  #### Parameters

  - ##### event: "finish"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/stream.d.ts:181

  #### Parameters

  - ##### event: "pipe"

  - ##### listener: function

    - - (src: Readable): void

      - #### Parameters

        - ##### src: Readable

        #### Returns void

  #### Returns this

- Inherited from Writable.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/stream.d.ts:182

  #### Parameters

  - ##### event: "unpipe"

  - ##### listener: function

    - - (src: Readable): void

      - #### Parameters

        - ##### src: Readable

        #### Returns void

  #### Returns this

- Inherited from Writable.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/stream.d.ts:183

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### rawListeners

- rawListeners(event: string | symbol): Function[]

- Implementation of WritableStream.rawListeners

  Inherited from EventEmitter.rawListeners

  Overrides EventEmitter.rawListeners

  - Defined in node_modules/@types/node/events.d.ts:21

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### removeAllListeners

- removeAllListeners(event?: string | symbol): this

- Implementation of WritableStream.removeAllListeners

  Inherited from EventEmitter.removeAllListeners

  Overrides EventEmitter.removeAllListeners

  - Defined in node_modules/@types/node/events.d.ts:17

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns this

### removeHeader

- removeHeader(name: string): void

- Inherited from OutgoingMessage.removeHeader

  - Defined in node_modules/@types/node/http.d.ts:139

  #### Parameters

  - ##### name: string

  #### Returns void

### removeListener

- removeListener(event: "close", listener: function): this
- removeListener(event: "drain", listener: function): this
- removeListener(event: "error", listener: function): this
- removeListener(event: "finish", listener: function): this
- removeListener(event: "pipe", listener: function): this
- removeListener(event: "unpipe", listener: function): this
- removeListener(event: string | symbol, listener: function): this

- Inherited from Writable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:185

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:186

  #### Parameters

  - ##### event: "drain"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:187

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from Writable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:188

  #### Parameters

  - ##### event: "finish"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:189

  #### Parameters

  - ##### event: "pipe"

  - ##### listener: function

    - - (src: Readable): void

      - #### Parameters

        - ##### src: Readable

        #### Returns void

  #### Returns this

- Inherited from Writable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:190

  #### Parameters

  - ##### event: "unpipe"

  - ##### listener: function

    - - (src: Readable): void

      - #### Parameters

        - ##### src: Readable

        #### Returns void

  #### Returns this

- Inherited from Writable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:191

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### setDefaultEncoding

- setDefaultEncoding(encoding: string): this

- Inherited from Writable.setDefaultEncoding

  - Defined in node_modules/@types/node/stream.d.ts:119

  #### Parameters

  - ##### encoding: string

  #### Returns this

### setHeader

- setHeader(name: string, value: number | string | string[]): void

- Inherited from OutgoingMessage.setHeader

  - Defined in node_modules/@types/node/http.d.ts:134

  #### Parameters

  - ##### name: string

  - ##### value: number | string | string[]

  #### Returns void

### setMaxListeners

- setMaxListeners(n: number): this

- Implementation of WritableStream.setMaxListeners

  Inherited from EventEmitter.setMaxListeners

  Overrides EventEmitter.setMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:18

  #### Parameters

  - ##### n: number

  #### Returns this

### setTimeout

- setTimeout(msecs: number, callback?: undefined | function): this

- Inherited from OutgoingMessage.setTimeout

  - Defined in node_modules/@types/node/http.d.ts:133

  #### Parameters

  - ##### msecs: number

  - ##### Optional callback: undefined | function

  #### Returns this

### uncork

- uncork(): void

- Inherited from Writable.uncork

  - Defined in node_modules/@types/node/stream.d.ts:124

  #### Returns void

### write

- write(chunk: any, cb?: undefined | function): boolean
- write(chunk: any, encoding?: undefined | string, cb?: undefined | function): boolean

- Inherited from Writable.write

  - Defined in node_modules/@types/node/stream.d.ts:117

  #### Parameters

  - ##### chunk: any

  - ##### Optional cb: undefined | function

  #### Returns boolean

- Inherited from Writable.write

  - Defined in node_modules/@types/node/stream.d.ts:118

  #### Parameters

  - ##### chunk: any

  - ##### Optional encoding: undefined | string

  - ##### Optional cb: undefined | function

  #### Returns boolean

### writeContinue

- writeContinue(callback?: undefined | function): void

- - Defined in node_modules/@types/node/http.d.ts:155

  #### Parameters

  - ##### Optional callback: undefined | function

  #### Returns void

### writeHead

- writeHead(statusCode: number, reasonPhrase?: undefined | string, headers?: OutgoingHttpHeaders): this
- writeHead(statusCode: number, headers?: OutgoingHttpHeaders): this

- - Defined in node_modules/@types/node/http.d.ts:156

  #### Parameters

  - ##### statusCode: number

  - ##### Optional reasonPhrase: undefined | string

  - ##### Optional headers: OutgoingHttpHeaders

  #### Returns this

- - Defined in node_modules/@types/node/http.d.ts:157

  #### Parameters

  - ##### statusCode: number

  - ##### Optional headers: OutgoingHttpHeaders

  #### Returns this

### Static listenerCount

- listenerCount(emitter: EventEmitter, event: string | symbol): number

- Inherited from EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:7
  deprecated

    since v4.0.0

  #### Parameters

  - ##### emitter: EventEmitter

  - ##### event: string | symbol

  #### Returns number

Generated using TypeDoc